<html><body><samp><pre>
<!@TC:1729017660>
#Build: Synplify Pro (R) U-2023.03L-SP1, Build 153R, Aug 10 2023
#install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
#OS: Windows 10 or later
#Hostname: PC-SANDRO-W10

# Tue Oct 15 20:41:00 2024

#Implementation: impl1


Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=compilerReport1></a>Synopsys HDL Compiler, Version comp202303synp1, Build 155R, Built Aug 10 2023 09:42:17, @</a>

@N: : <!@TM:1729017664> | Running in 64-bit mode 
###########################################################[

Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=compilerReport2></a>Synopsys VHDL Compiler, Version comp202303synp1, Build 173R, Built Aug 31 2023 03:59:48, @</a>

@N: : <!@TM:1729017664> | Running in 64-bit mode 
Location map warning "D:\diamond\diamond\3.13\diamond\3.13\synpbase\lib\vhd\location.map":46 - Attempted redefinition of package mach.components
@N: : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:28:7:28:25:@N::@XP_MSG">CPLD_PORTATILE_TOP.vhd(28)</a><!@TM:1729017664> | Top entity is set to cpld_portatile_top.
File E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd changed - recompiling
File D:\diamond\diamond\3.13\diamond\3.13\synpbase\lib\lucent\machxo.vhd changed - recompiling
@N:<a href="@N:CD140:@XP_HELP">CD140</a> : <!@TM:1729017664> | Using the VHDL 1993 Standard for file 'D:\diamond\diamond\3.13\diamond\3.13\cae_library\synthesis\vhdl\machxo.vhd'. 
@N:<a href="@N:CD140:@XP_HELP">CD140</a> : <!@TM:1729017664> | Using the VHDL 1993 Standard for file 'E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd'. 
VHDL syntax check successful!
File E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd changed - recompiling
@N:<a href="@N:CD630:@XP_HELP">CD630</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:28:7:28:25:@N:CD630:@XP_MSG">CPLD_PORTATILE_TOP.vhd(28)</a><!@TM:1729017664> | Synthesizing work.cpld_portatile_top.rtl.
<font color=#A52A2A>@W:<a href="@W:CD638:@XP_HELP">CD638</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:112:7:112:18:@W:CD638:@XP_MSG">CPLD_PORTATILE_TOP.vhd(112)</a><!@TM:1729017664> | Signal i_pwr_rst_n is undriven. Either assign the signal a value or remove the signal declaration.</font>
<font color=#A52A2A>@W:<a href="@W:CD638:@XP_HELP">CD638</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:113:7:113:21:@W:CD638:@XP_MSG">CPLD_PORTATILE_TOP.vhd(113)</a><!@TM:1729017664> | Signal pwr_reset_outn is undriven. Either assign the signal a value or remove the signal declaration.</font>
@N:<a href="@N:CD630:@XP_HELP">CD630</a> : <a href="D:\diamond\diamond\3.13\diamond\3.13\cae_library\synthesis\vhdl\machxo.vhd:1262:10:1262:14:@N:CD630:@XP_MSG">machxo.vhd(1262)</a><!@TM:1729017664> | Synthesizing work.oscc.syn_black_box.
Post processing for work.oscc.syn_black_box
Post processing for work.cpld_portatile_top.rtl
Running optimization stage 1 on cpld_portatile_top .......
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:77:1:77:13:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(77)</a><!@TM:1729017664> | Signal usb3_pewakeb is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:75:1:75:13:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(75)</a><!@TM:1729017664> | Signal sata3_wake_n is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:74:1:74:9:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(74)</a><!@TM:1729017664> | Signal pe_waken is floating; a simulation mismatch is possible.</font>
<font color=#A52A2A>@W:<a href="@W:CL240:@XP_HELP">CL240</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:73:1:73:8:@W:CL240:@XP_MSG">CPLD_PORTATILE_TOP.vhd(73)</a><!@TM:1729017664> | Signal pdetect is floating; a simulation mismatch is possible.</font>
Finished optimization stage 1 on cpld_portatile_top (CPU Time 0h:00m:00s, Memory Used current: 94MB peak: 95MB)
Running optimization stage 2 on cpld_portatile_top .......
<font color=#A52A2A>@W:<a href="@W:CL279:@XP_HELP">CL279</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:180:0:180:2:@W:CL279:@XP_MSG">CPLD_PORTATILE_TOP.vhd(180)</a><!@TM:1729017664> | Pruning register bits 7 to 5 of osc_clk_cnt(7 downto 0). If this is not the intended behavior, drive the inputs with valid values, or inputs from the top level.</font>
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:31:1:31:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(31)</a><!@TM:1729017664> | Input rst_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:32:1:32:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(32)</a><!@TM:1729017664> | Input gpio1_9 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:33:1:33:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(33)</a><!@TM:1729017664> | Input gpio1_10 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:34:1:34:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(34)</a><!@TM:1729017664> | Input gpio1_11 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:35:1:35:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(35)</a><!@TM:1729017664> | Input gpio1_12 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:36:1:36:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(36)</a><!@TM:1729017664> | Input gpio2_1 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:37:1:37:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(37)</a><!@TM:1729017664> | Input gpio2_2 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:38:1:38:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(38)</a><!@TM:1729017664> | Input gpio2_3 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:39:1:39:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(39)</a><!@TM:1729017664> | Input gpio2_10 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:40:1:40:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(40)</a><!@TM:1729017664> | Input gpio2_13 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:41:1:41:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(41)</a><!@TM:1729017664> | Input gpio2_14 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:42:1:42:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(42)</a><!@TM:1729017664> | Input gpio3_24 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:43:1:43:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(43)</a><!@TM:1729017664> | Input gpio3_25 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:44:1:44:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(44)</a><!@TM:1729017664> | Input gpio3_26 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:45:1:45:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(45)</a><!@TM:1729017664> | Input gpio3_27 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:46:1:46:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(46)</a><!@TM:1729017664> | Input gpio4_29 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:47:1:47:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(47)</a><!@TM:1729017664> | Input irq02 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:48:1:48:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(48)</a><!@TM:1729017664> | Input irq08 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:49:1:49:13:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(49)</a><!@TM:1729017664> | Input proc_spi_clk is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:50:1:50:14:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(50)</a><!@TM:1729017664> | Input proc_spi_miso is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:51:1:51:14:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(51)</a><!@TM:1729017664> | Input proc_spi_mosi is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:52:1:52:11:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(52)</a><!@TM:1729017664> | Input uart1_ctsb is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:53:1:53:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(53)</a><!@TM:1729017664> | Input cpld_rstn is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:54:1:54:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(54)</a><!@TM:1729017664> | Input gpio3_28 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:55:1:55:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(55)</a><!@TM:1729017664> | Input gpio3_29 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:56:1:56:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(56)</a><!@TM:1729017664> | Input gpio3_30 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:57:1:57:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(57)</a><!@TM:1729017664> | Input gpio4_30 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:58:1:58:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(58)</a><!@TM:1729017664> | Input gpio4_31 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:60:1:60:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(60)</a><!@TM:1729017664> | Input mxm_waken is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:63:1:63:12:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(63)</a><!@TM:1729017664> | Input reset_req_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:65:1:65:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(65)</a><!@TM:1729017664> | Input irq00 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:79:1:79:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(79)</a><!@TM:1729017664> | Input vcore_en is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:80:1:80:12:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(80)</a><!@TM:1729017664> | Input wlan_wakeup is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:84:1:84:9:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(84)</a><!@TM:1729017664> | Input prsnt_rn is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:85:1:85:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(85)</a><!@TM:1729017664> | Input clk_50mhz is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:86:1:86:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(86)</a><!@TM:1729017664> | Input gpio3_0 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:87:1:87:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(87)</a><!@TM:1729017664> | Input gpio3_1 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:88:1:88:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(88)</a><!@TM:1729017664> | Input gpio3_2 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:89:1:89:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(89)</a><!@TM:1729017664> | Input gpio3_3 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:90:1:90:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(90)</a><!@TM:1729017664> | Input gpio3_4 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:91:1:91:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(91)</a><!@TM:1729017664> | Input gpio3_5 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:92:1:92:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(92)</a><!@TM:1729017664> | Input gpio3_6 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:93:1:93:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(93)</a><!@TM:1729017664> | Input gpio3_7 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:94:1:94:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(94)</a><!@TM:1729017664> | Input gpio4_5 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:95:1:95:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(95)</a><!@TM:1729017664> | Input gpio4_6 is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:96:1:96:8:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(96)</a><!@TM:1729017664> | Input ifc_clk is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:99:1:99:10:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(99)</a><!@TM:1729017664> | Input ifc_cs2_n is unused.
@N:<a href="@N:CL159:@XP_HELP">CL159</a> : <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\CPLD_PORTATILE_TOP.vhd:103:1:103:6:@N:CL159:@XP_MSG">CPLD_PORTATILE_TOP.vhd(103)</a><!@TM:1729017664> | Input irq01 is unused.
Finished optimization stage 2 on cpld_portatile_top (CPU Time 0h:00m:00s, Memory Used current: 94MB peak: 95MB)

For a summary of runtime per design unit, please see file:
==========================================================
Linked File:  <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\layer0.duruntime:@XP_FILE">layer0.duruntime</a>



At c_vhdl Exit (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 94MB peak: 95MB)

Process took 0h:00m:03s realtime, 0h:00m:03s cputime

Process completed successfully.
# Tue Oct 15 20:41:04 2024

###########################################################]
###########################################################[

Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=compilerReport3></a>Synopsys Synopsys Netlist Linker, Version comp202303synp1, Build 155R, Built Aug 10 2023 09:42:17, @</a>

@N: : <!@TM:1729017664> | Running in 64-bit mode 
File E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\layer0.srs changed - recompiling

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 93MB peak: 93MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Tue Oct 15 20:41:04 2024

###########################################################]

For a summary of runtime and memory usage for all design units, please see file:
==========================================================
Linked File:  <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\CPLD_PORTATILE_impl1_comp.rt.csv:@XP_FILE">CPLD_PORTATILE_impl1_comp.rt.csv</a>

@END

At c_hdl Exit (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 25MB peak: 25MB)

Process took 0h:00m:04s realtime, 0h:00m:04s cputime

Process completed successfully.
# Tue Oct 15 20:41:04 2024

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1729017660>
###########################################################[

Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=compilerReport10></a>Synopsys Synopsys Netlist Linker, Version comp202303synp1, Build 155R, Built Aug 10 2023 09:42:17, @</a>

@N: : <!@TM:1729017666> | Running in 64-bit mode 
File E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\CPLD_PORTATILE_impl1_comp.srs changed - recompiling

At syn_nfilter Exit (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 93MB peak: 93MB)

Process took 0h:00m:01s realtime, 0h:00m:01s cputime

Process completed successfully.
# Tue Oct 15 20:41:06 2024

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1729017660>
# Tue Oct 15 20:41:06 2024


Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=mapperReport17></a>Synopsys Lattice Technology Pre-mapping, Version map202303lat, Build 132R, Built Aug 31 2023 04:16:35, @</a>


Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 125MB peak: 125MB)


Done reading skeleton netlist (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 128MB peak: 139MB)

@A:<a href="@A:MF827:@XP_HELP">MF827</a> : <!@TM:1729017677> | No constraint file specified. 
Linked File:  <a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1_scck.rpt:@XP_FILE">CPLD_PORTATILE_impl1_scck.rpt</a>
See clock summary report "E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1_scck.rpt"
@N:<a href="@N:MF916:@XP_HELP">MF916</a> : <!@TM:1729017677> | Option synthesis_strategy=base is enabled.  
@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1729017677> | Running in 64-bit mode. 
@N:<a href="@N:MF666:@XP_HELP">MF666</a> : <!@TM:1729017677> | Clock conversion enabled. (Command "set_option -fix_gated_and_generated_clocks 1" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 132MB peak: 139MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 132MB peak: 139MB)


Start loading timing files (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 145MB peak: 145MB)


Finished loading timing files (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 145MB peak: 147MB)

NConnInternalConnection caching is on

Starting HSTDM IP insertion (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 195MB peak: 196MB)


Finished HSTDM IP insertion (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 195MB peak: 196MB)


Started DisTri Cleanup (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 195MB peak: 196MB)


Finished DisTri Cleanup (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 195MB peak: 196MB)


Starting clock optimization phase (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 197MB peak: 197MB)


mixed edge conversion for GCC is OFF
@N:<a href="@N:MF578:@XP_HELP">MF578</a> : <!@TM:1729017677> | Incompatible asynchronous control logic preventing generated clock conversion. 
<font color=#A52A2A>@W:<a href="@W:BZ240:@XP_HELP">BZ240</a> : <!@TM:1729017677> | GCC encountered Inferred Clock constraint on net GCC considers to be data osc_out; this will likely lead to failure to convert</font> 

Finished clock optimization phase (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 197MB peak: 198MB)


Starting clock optimization report phase (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 197MB peak: 198MB)


Finished clock optimization report phase (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 198MB peak: 198MB)

@N:<a href="@N:FX1184:@XP_HELP">FX1184</a> : <!@TM:1729017677> | Applying syn_allowed_resources blockrams=0 on top level netlist cpld_portatile_top  

Finished netlist restructuring (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:07s; Memory used current: 198MB peak: 198MB)



<a name=mapperReport18></a>Clock Summary</a>
******************

          Start                                           Requested     Requested     Clock                                                          Clock          Clock
Level     Clock                                           Frequency     Period        Type                                                           Group          Load 
-------------------------------------------------------------------------------------------------------------------------------------------------------------------------
0 -       cpld_portatile_top|osc_int_2_inferred_clock     100.0 MHz     10.000        inferred                                                       (multiple)     5    
1 .         cpld_portatile_top|osc_out_derived_clock      100.0 MHz     10.000        derived (from cpld_portatile_top|osc_int_2_inferred_clock)     (multiple)     25   
=========================================================================================================================================================================



Clock Load Summary
***********************

                                                Clock     Source                          Clock Pin              Non-clock Pin     Non-clock Pin
Clock                                           Load      Pin                             Seq Example            Seq Example       Comb Example 
------------------------------------------------------------------------------------------------------------------------------------------------
cpld_portatile_top|osc_int_2_inferred_clock     5         OSCInst0.OSC(OSCC)              osc_clk_cnt[4:0].C     -                 -            
cpld_portatile_top|osc_out_derived_clock        25        osc_clk_cnt[4:0].Q[4](dffr)     ihreset_n.C            -                 -            
================================================================================================================================================

<font color=#A52A2A>@W:<a href="@W:MT529:@XP_HELP">MT529</a> : <a href="e:\dropbox\dropbox\personale\progetti\acube\cpld\cpld_portatile_top.vhd:180:0:180:2:@W:MT529:@XP_MSG">cpld_portatile_top.vhd(180)</a><!@TM:1729017677> | Found inferred clock cpld_portatile_top|osc_int_2_inferred_clock which controls 5 sequential elements including osc_clk_cnt[4:0]. This clock has no specified timing constraint which may prevent conversion of gated or generated clocks and may adversely impact design performance. </font>

ICG Latch Removal Summary:
Number of ICG latches removed: 0
Number of ICG latches not removed:	0


@S |Clock Optimization Summary



<a name=clockReport19></a>#### START OF PREMAP CLOCK OPTIMIZATION REPORT #####[</a>

1 non-gated/non-generated clock tree(s) driving 5 clock pin(s) of sequential element(s)
1 gated/generated clock tree(s) driving 25 clock pin(s) of sequential element(s)
0 instances converted, 25 sequential instances remain driven by gated/generated clocks

============================ Non-Gated/Non-Generated Clocks ============================
Clock Tree ID     Driving Element     Drive Element Type     Fanout     Sample Instance 
----------------------------------------------------------------------------------------
<a href="@|L:E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\CPLD_PORTATILE_impl1_prem.srm@|S:OSCInst0.OSC@|E:osc_clk_cnt[4:0]@|F:@syn_dgcc_clockid0_2==1@|M:ClockId_0_2 @XP_NAMES_BY_PROP">ClockId_0_2</a>       OSCInst0.OSC        OSCC                   5          osc_clk_cnt[4:0]
========================================================================================
================================================================ Gated/Generated Clocks ================================================================
Clock Tree ID     Driving Element           Drive Element Type     Unconverted Fanout     Sample Instance     Explanation                               
--------------------------------------------------------------------------------------------------------------------------------------------------------
<a href="@|L:E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\CPLD_PORTATILE_impl1_prem.srm@|S:osc_clk_cnt[4:0].Q[4]@|E:rst_cnt[20:0]@|F:@syn_dgcc_clockid0_0==1@|M:ClockId_0_0 @XP_NAMES_BY_PROP">ClockId_0_0</a>       osc_clk_cnt[4:0].Q[4]     dffr                   25                     rst_cnt[20:0]       Derived clock on input (not legal for GCC)
========================================================================================================================================================


##### END OF CLOCK OPTIMIZATION REPORT ######


Summary of user generated gated clocks:
0 user generated gated/generated clock tree(s) driving 0 clock pin(s) of sequential element(s)

@N:<a href="@N:FX1143:@XP_HELP">FX1143</a> : <!@TM:1729017677> | Skipping assigning INTERNAL_VREF to iobanks, because the table of mapping from pin to iobank is not initialized. 
Finished Pre Mapping Phase.

Starting constraint checker (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:07s; Memory used current: 198MB peak: 198MB)


Finished constraint checker preprocessing (Real Time elapsed 0h:00m:08s; CPU Time elapsed 0h:00m:08s; Memory used current: 198MB peak: 199MB)


Finished constraint checker (Real Time elapsed 0h:00m:08s; CPU Time elapsed 0h:00m:08s; Memory used current: 199MB peak: 199MB)

Pre-mapping successful!

At Mapper Exit (Real Time elapsed 0h:00m:09s; CPU Time elapsed 0h:00m:09s; Memory used current: 115MB peak: 201MB)

Process took 0h:00m:10s realtime, 0h:00m:09s cputime
# Tue Oct 15 20:41:17 2024

###########################################################]

</pre></samp></body></html>
<html><body><samp><pre>
<!@TC:1729017660>
# Tue Oct 15 20:41:17 2024


Copyright (C) 1994-2023 Synopsys, Inc.
This Synopsys software and all associated documentation are proprietary to Synopsys, Inc.
and may only be used pursuant to the terms and conditions of a written license agreement
with Synopsys, Inc. All other use, reproduction, modification, or distribution of the
Synopsys software or the associated documentation is strictly prohibited.
Tool: Synplify Pro (R)
Build: U-2023.03L-SP1
Install: D:\diamond\diamond\3.13\diamond\3.13\synpbase
OS: Windows 10 or later
Hostname: PC-SANDRO-W10

Implementation : impl1
<a name=mapperReport26></a>Synopsys Lattice Technology Mapper, Version map202303lat, Build 132R, Built Aug 31 2023 04:16:35, @</a>


Mapper Startup Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 124MB peak: 124MB)

@N:<a href="@N:MF916:@XP_HELP">MF916</a> : <!@TM:1729017693> | Option synthesis_strategy=base is enabled.  
@N:<a href="@N:MF248:@XP_HELP">MF248</a> : <!@TM:1729017693> | Running in 64-bit mode. 
@N:<a href="@N:MF666:@XP_HELP">MF666</a> : <!@TM:1729017693> | Clock conversion enabled. (Command "set_option -fix_gated_and_generated_clocks 1" in the project file.) 

Design Input Complete (Real Time elapsed 0h:00m:00s; CPU Time elapsed 0h:00m:00s; Memory used current: 126MB peak: 138MB)


Mapper Initialization Complete (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 126MB peak: 138MB)


Start loading timing files (Real Time elapsed 0h:00m:01s; CPU Time elapsed 0h:00m:01s; Memory used current: 140MB peak: 140MB)


Finished loading timing files (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 142MB peak: 143MB)



Starting Optimization and Mapping (Real Time elapsed 0h:00m:02s; CPU Time elapsed 0h:00m:02s; Memory used current: 194MB peak: 194MB)


Finished RTL optimizations (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 198MB peak: 198MB)

@N:<a href="@N:MO231:@XP_HELP">MO231</a> : <a href="e:\dropbox\dropbox\personale\progetti\acube\cpld\cpld_portatile_top.vhd:180:0:180:2:@N:MO231:@XP_MSG">cpld_portatile_top.vhd(180)</a><!@TM:1729017693> | Found counter in view:work.cpld_portatile_top(rtl) instance osc_clk_cnt[4:0] 

Starting factoring (Real Time elapsed 0h:00m:03s; CPU Time elapsed 0h:00m:03s; Memory used current: 199MB peak: 199MB)


Finished factoring (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 199MB peak: 200MB)


Available hyper_sources - for debug and ip models
	None Found

NConnInternalConnection caching is on

Finished generic timing optimizations - Pass 1 (Real Time elapsed 0h:00m:04s; CPU Time elapsed 0h:00m:04s; Memory used current: 200MB peak: 200MB)


Starting Early Timing Optimization (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 200MB peak: 201MB)


Finished Early Timing Optimization (Real Time elapsed 0h:00m:05s; CPU Time elapsed 0h:00m:05s; Memory used current: 200MB peak: 201MB)


Finished generic timing optimizations - Pass 2 (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 200MB peak: 201MB)


Finished preparing to map (Real Time elapsed 0h:00m:06s; CPU Time elapsed 0h:00m:06s; Memory used current: 200MB peak: 201MB)


Finished technology mapping (Real Time elapsed 0h:00m:07s; CPU Time elapsed 0h:00m:07s; Memory used current: 201MB peak: 201MB)

Pass		 CPU time		Worst Slack		Luts / Registers
------------------------------------------------------------
   1		0h:00m:07s		     7.37ns		  26 /        30

Finished technology timing optimizations and critical path resynthesis (Real Time elapsed 0h:00m:08s; CPU Time elapsed 0h:00m:08s; Memory used current: 201MB peak: 202MB)


Finished restoring hierarchy (Real Time elapsed 0h:00m:08s; CPU Time elapsed 0h:00m:08s; Memory used current: 201MB peak: 202MB)


Starting CDBProcessSetClockGroups... (Real Time elapsed 0h:00m:09s; CPU Time elapsed 0h:00m:08s; Memory used current: 201MB peak: 202MB)


Finished with CDBProcessSetClockGroups (Real Time elapsed 0h:00m:09s; CPU Time elapsed 0h:00m:09s; Memory used current: 201MB peak: 202MB)


Start Writing Netlists (Real Time elapsed 0h:00m:10s; CPU Time elapsed 0h:00m:09s; Memory used current: 147MB peak: 202MB)

Writing Analyst data base E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\synwork\CPLD_PORTATILE_impl1_m.srm

Finished Writing Netlist Databases (Real Time elapsed 0h:00m:10s; CPU Time elapsed 0h:00m:10s; Memory used current: 202MB peak: 202MB)

Writing EDIF Netlist and constraint files
@N:<a href="@N:FX1056:@XP_HELP">FX1056</a> : <!@TM:1729017693> | Writing EDF file: E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1.edi 
@N:<a href="@N:BW106:@XP_HELP">BW106</a> : <!@TM:1729017693> | Synplicity Constraint File capacitance units using default value of 1pF  

Finished Writing EDIF Netlist and constraint files (Real Time elapsed 0h:00m:11s; CPU Time elapsed 0h:00m:11s; Memory used current: 210MB peak: 210MB)


Finished Writing Netlists (Real Time elapsed 0h:00m:12s; CPU Time elapsed 0h:00m:12s; Memory used current: 210MB peak: 211MB)


Start final timing analysis (Real Time elapsed 0h:00m:13s; CPU Time elapsed 0h:00m:12s; Memory used current: 209MB peak: 211MB)

<font color=#A52A2A>@W:<a href="@W:MT420:@XP_HELP">MT420</a> : <!@TM:1729017693> | Found inferred clock cpld_portatile_top|osc_int_2_inferred_clock with period 10.00ns. Please declare a user-defined clock on net osc_int_2.</font> 
@N:<a href="@N:MT615:@XP_HELP">MT615</a> : <!@TM:1729017693> | Found clock cpld_portatile_top|osc_out_derived_clock with period 10.00ns  


<a name=timingReport27></a>##### START OF TIMING REPORT #####[</a>
# Timing report written on Tue Oct 15 20:41:30 2024
#


Top view:               cpld_portatile_top
Requested Frequency:    100.0 MHz
Wire load mode:         top
Paths requested:        5
Constraint File(s):    
@N:<a href="@N:MT320:@XP_HELP">MT320</a> : <!@TM:1729017693> | This timing report is an estimate of place and route data. For final timing results, use the FPGA vendor place and route report. 

@N:<a href="@N:MT322:@XP_HELP">MT322</a> : <!@TM:1729017693> | Clock constraints include only register-to-register paths associated with each individual clock. 



<a name=performanceSummary28></a>Performance Summary</a>
*******************


Worst slack in design: 6.783

                                                Requested     Estimated     Requested     Estimated                Clock                                                          Clock     
Starting Clock                                  Frequency     Frequency     Period        Period        Slack      Type                                                           Group     
--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
cpld_portatile_top|osc_int_2_inferred_clock     100.0 MHz     310.9 MHz     10.000        3.217         6.783      inferred                                                       (multiple)
cpld_portatile_top|osc_out_derived_clock        100.0 MHz     334.1 MHz     10.000        2.993         14.014     derived (from cpld_portatile_top|osc_int_2_inferred_clock)     (multiple)
============================================================================================================================================================================================





<a name=clockRelationships29></a>Clock Relationships</a>
*******************

Clocks                                                                                    |    rise  to  rise    |    fall  to  fall   |    rise  to  fall   |    fall  to  rise 
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Starting                                     Ending                                       |  constraint  slack   |  constraint  slack  |  constraint  slack  |  constraint  slack
---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
cpld_portatile_top|osc_int_2_inferred_clock  cpld_portatile_top|osc_int_2_inferred_clock  |  10.000      6.783   |  No paths    -      |  No paths    -      |  No paths    -    
cpld_portatile_top|osc_out_derived_clock     cpld_portatile_top|osc_out_derived_clock     |  10.000      14.014  |  No paths    -      |  No paths    -      |  No paths    -    
=================================================================================================================================================================================
 Note: 'No paths' indicates there are no paths in the design for that pair of clock edges.
       'Diff grp' indicates that paths exist but the starting clock and ending clock are in different clock groups.



<a name=interfaceInfo30></a>Interface Information </a>
*********************

No IO constraint found



====================================
<a name=clockReport31></a>Detailed Report for Clock: cpld_portatile_top|osc_int_2_inferred_clock</a>
====================================



<a name=startingSlack32></a>Starting Points with Worst Slack</a>
********************************

                   Starting                                                                               Arrival          
Instance           Reference                                       Type        Pin     Net                Time        Slack
                   Clock                                                                                                   
---------------------------------------------------------------------------------------------------------------------------
osc_clk_cnt[0]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     Q       osc_clk_cnt[0]     0.942       6.783
osc_clk_cnt[1]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     Q       osc_clk_cnt[1]     0.942       6.783
osc_clk_cnt[2]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     Q       osc_clk_cnt[2]     0.942       6.874
osc_clk_cnt[3]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     Q       osc_clk_cnt[3]     0.942       6.874
osc_clk_cnt[4]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     Q       osc_out_c          1.288       7.536
===========================================================================================================================


<a name=endingSlack33></a>Ending Points with Worst Slack</a>
******************************

                   Starting                                                                                 Required          
Instance           Reference                                       Type        Pin     Net                  Time         Slack
                   Clock                                                                                                      
------------------------------------------------------------------------------------------------------------------------------
osc_clk_cnt[4]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     D       osc_clk_cnt_s[4]     10.286       6.783
osc_clk_cnt[2]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     D       osc_clk_cnt_s[2]     10.286       6.874
osc_clk_cnt[3]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     D       osc_clk_cnt_s[3]     10.286       6.874
osc_clk_cnt[0]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     D       osc_clk_cnt_s[0]     10.286       7.882
osc_clk_cnt[1]     cpld_portatile_top|osc_int_2_inferred_clock     FD1S3DX     D       osc_clk_cnt_s[1]     10.286       7.882
==============================================================================================================================



<a name=worstPaths34></a>Worst Path Information</a>
<a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1.srr:srsfE:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1.srs:fp:35158:36226:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      10.000
    - Setup time:                            -0.286
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         10.286

    - Propagation time:                      3.503
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (critical) :                     6.783

    Number of logic level(s):                3
    Starting point:                          osc_clk_cnt[0] / Q
    Ending point:                            osc_clk_cnt[4] / D
    The start point is clocked by            cpld_portatile_top|osc_int_2_inferred_clock [rising] (rise=0.000 fall=5.000 period=10.000) on pin CK
    The end   point is clocked by            cpld_portatile_top|osc_int_2_inferred_clock [rising] (rise=0.000 fall=5.000 period=10.000) on pin CK

Instance / Net                       Pin       Pin               Arrival     No. of    
Name                     Type        Name      Dir     Delay     Time        Fan Out(s)
---------------------------------------------------------------------------------------
osc_clk_cnt[0]           FD1S3DX     Q         Out     0.942     0.942 r     -         
osc_clk_cnt[0]           Net         -         -       -         -           1         
osc_clk_cnt_cry_0[0]     CCU2        A0        In      0.000     0.942 r     -         
osc_clk_cnt_cry_0[0]     CCU2        COUT1     Out     1.233     2.174 r     -         
osc_clk_cnt_cry[1]       Net         -         -       -         -           1         
osc_clk_cnt_cry_0[2]     CCU2        CIN       In      0.000     2.174 r     -         
osc_clk_cnt_cry_0[2]     CCU2        COUT1     Out     0.091     2.265 r     -         
osc_clk_cnt_cry[3]       Net         -         -       -         -           1         
osc_clk_cnt_s_0[4]       CCU2        CIN       In      0.000     2.265 r     -         
osc_clk_cnt_s_0[4]       CCU2        S0        Out     1.238     3.503 r     -         
osc_clk_cnt_s[4]         Net         -         -       -         -           1         
osc_clk_cnt[4]           FD1S3DX     D         In      0.000     3.503 r     -         
=======================================================================================




====================================
<a name=clockReport35></a>Detailed Report for Clock: cpld_portatile_top|osc_out_derived_clock</a>
====================================



<a name=startingSlack36></a>Starting Points with Worst Slack</a>
********************************

                Starting                                                                         Arrival           
Instance        Reference                                    Type        Pin     Net             Time        Slack 
                Clock                                                                                              
-------------------------------------------------------------------------------------------------------------------
rst_cnt[17]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[17]     1.016       14.014
rst_cnt[18]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[18]     1.016       14.014
rst_cnt[19]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[19]     1.016       14.014
rst_cnt[20]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[20]     1.016       14.014
rst_cnt[13]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[13]     1.083       14.022
rst_cnt[14]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[14]     1.083       14.022
rst_cnt[11]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[11]     1.083       14.130
rst_cnt[12]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[12]     1.083       14.130
rst_cnt[1]      cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[1]      1.083       14.835
rst_cnt[2]      cpld_portatile_top|osc_out_derived_clock     FD1S3DX     Q       rst_cnt[2]      1.083       14.851
===================================================================================================================


<a name=endingSlack37></a>Ending Points with Worst Slack</a>
******************************

                    Starting                                                                                          Required           
Instance            Reference                                    Type        Pin     Net                              Time         Slack 
                    Clock                                                                                                                
-----------------------------------------------------------------------------------------------------------------------------------------
rst_cnt[0]          cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[0]                     19.288       14.014
rst_cnt[6]          cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[6]                     19.288       14.014
rst_cnt[8]          cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[8]                     19.288       14.014
rst_cnt[9]          cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[9]                     19.288       14.014
rst_cnt[10]         cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[10]                    19.288       14.014
rst_cnt[11]         cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[11]                    19.288       14.014
rst_cnt[12]         cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       rst_cnt_5[12]                    19.288       14.014
poreset_n_i         cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       reset_state_m\.poreset_n_i_4     19.288       15.083
reset_states[0]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       reset_states_RNO[0]              19.288       15.083
reset_states[1]     cpld_portatile_top|osc_out_derived_clock     FD1S3DX     D       reset_states_RNO[1]              19.288       15.083
=========================================================================================================================================



<a name=worstPaths38></a>Worst Path Information</a>
<a href="E:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1.srr:srsfE:\Dropbox\Dropbox\Personale\progetti\Acube\cpld\impl1\CPLD_PORTATILE_impl1.srs:fp:41855:43619:@XP_NAMES_GATE">View Worst Path in Analyst</a>
***********************


Path information for path number 1: 
      Requested Period:                      20.000
    - Setup time:                            0.712
    + Clock delay at ending point:           0.000 (ideal)
    = Required time:                         19.288

    - Propagation time:                      5.274
    - Clock delay at starting point:         0.000 (ideal)
    = Slack (non-critical) :                 14.014

    Number of logic level(s):                5
    Starting point:                          rst_cnt[17] / Q
    Ending point:                            rst_cnt[0] / D
    The start point is clocked by            cpld_portatile_top|osc_out_derived_clock [rising] (rise=0.000 fall=5.000 period=10.000) on pin CK
    The end   point is clocked by            cpld_portatile_top|osc_out_derived_clock [rising] (rise=0.000 fall=5.000 period=10.000) on pin CK
    -Timing constraint applied as multi cycle path with factor 2 (from c:cpld_portatile_top|osc_out_derived_clock to c:cpld_portatile_top|osc_out_derived_clock)

Instance / Net                                 Pin      Pin               Arrival     No. of    
Name                              Type         Name     Dir     Delay     Time        Fan Out(s)
------------------------------------------------------------------------------------------------
rst_cnt[17]                       FD1S3DX      Q        Out     1.016     1.016 r     -         
rst_cnt[17]                       Net          -        -       -         -           2         
reset_state_m\.un1_rst_cnt_11     ORCALUT4     A        In      0.000     1.016 r     -         
reset_state_m\.un1_rst_cnt_11     ORCALUT4     Z        Out     0.903     1.919 f     -         
reset_state_m\.un1_rst_cnt_11     Net          -        -       -         -           2         
reset_state_m\.un1_rst_cnt_12     ORCALUT4     B        In      0.000     1.919 f     -         
reset_state_m\.un1_rst_cnt_12     ORCALUT4     Z        Out     0.829     2.748 f     -         
reset_state_m\.un1_rst_cnt_12     Net          -        -       -         -           1         
reset_state_m\.un1_rst_cnt        ORCALUT4     D        In      0.000     2.748 f     -         
reset_state_m\.un1_rst_cnt        ORCALUT4     Z        Out     1.011     3.759 f     -         
reset_state_m\.un1_rst_cnt        Net          -        -       -         -           4         
un1_ihreset_n_1_sqmuxa            ORCALUT4     A        In      0.000     3.759 f     -         
un1_ihreset_n_1_sqmuxa            ORCALUT4     Z        Out     1.069     4.829 r     -         
un1_ihreset_n_1_sqmuxa            Net          -        -       -         -           7         
rst_cnt_5[0]                      ORCALUT4     B        In      0.000     4.829 r     -         
rst_cnt_5[0]                      ORCALUT4     Z        Out     0.446     5.274 r     -         
rst_cnt_5[0]                      Net          -        -       -         -           1         
rst_cnt[0]                        FD1S3DX      D        In      0.000     5.274 r     -         
================================================================================================



##### END OF TIMING REPORT #####]

Timing exceptions that could not be applied

Finished final timing analysis (Real Time elapsed 0h:00m:13s; CPU Time elapsed 0h:00m:13s; Memory used current: 210MB peak: 211MB)


Finished timing report (Real Time elapsed 0h:00m:13s; CPU Time elapsed 0h:00m:13s; Memory used current: 210MB peak: 211MB)

---------------------------------------
<a name=resourceUsage39></a>Resource Usage Report</a>
Part: lcmxo256c-5

Register bits: 30 of 256 (12%)
PIC Latch:       0
I/O cells:       25


Details:
CCU2:           14
FD1S3DX:        30
GSR:            1
IB:             4
INV:            1
OB:             21
ORCALUT4:       25
OSCC:           1
PUR:            1
VHI:            1
VLO:            1
Mapper successful!

At Mapper Exit (Real Time elapsed 0h:00m:14s; CPU Time elapsed 0h:00m:14s; Memory used current: 72MB peak: 211MB)

Process took 0h:00m:15s realtime, 0h:00m:14s cputime
# Tue Oct 15 20:41:32 2024

###########################################################]

</pre></samp></body></html>
